Jump to content

AOC Won't Run


Recommended Posts

I have valid licenses for SC2 Global Conflict and Assault On Communism but the AOC add on will not run. It keeps saying I have to have the base game (which I do). SC2 Global Conflict is up to the latest patch level and runs fine by itself. I even ended up buying the Gold Add-On and bringing that up to the latest patch level. AOC still says I need the base game even though both SC2 GC and SC2 GC Gold all run without issue. This is the first time I have ever seen an add-on which would not run if the base game was installed on the same machine.

All of my copies were downloaded. I have never bought a retail version of any of the Battlefront games. I did try the hot fix just to see if that would work but it does not. All these games are installed on the same computer in the same Battlefront directory. The "base games" work just fine. All my other software and drivers are up to date. Sounds like a miserable bug of some sort. By the way, AOC installed and activated without any issues; it just refuses to acknowledge the existence of the base game.:confused:

This is just plain weird. Any one else seeing this problem?

Link to comment
Share on other sites

Actually, the SC2 GC was installed long before the AOC. I even updated it to the latest patch before installing the AOC so I don't think that's the issue. The base game is SC2 GC, not the Gold add-on. I only bought and installed the Gold add-on to see if it would make a difference, which it didn't.

Thanks for the reply!:)

Link to comment
Share on other sites

 Share

×
×
  • Create New...